#
# spec file for package rubygem-racc
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-racc
Version:        1.4.15
Release:        1.1
%define mod_name racc
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            http://i.loveruby.net/en/projects/racc/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Racc is a LALR(1) parser generator
License:        LGPL-2.1-or-later
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Racc is a LALR(1) parser generator.
It is written in Ruby itself, and generates Ruby program.
NOTE: Ruby 1.8.x comes with Racc runtime module.  You
can run your parsers generated by racc 1.4.x out of the
box.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="COPYING ChangeLog README.rdoc" \
  -f
%gem_cleanup
# MANUAL
perl -p -i -e 's|#!\S+|#!/usr/bin/ruby|g' %{buildroot}%{_libdir}/*/gems/*/gems/%{mod_full_name}/bin/*
# /MANUAL

%gem_packages

%changelog
* Sat Mar  2 2019 coolo@suse.com
- updated to version 1.4.15
  see installed ChangeLog
* Wed Nov 25 2015 coolo@suse.com
- updated to version 1.4.14
  see installed ChangeLog
* Fri Oct 16 2015 coolo@suse.com
- updated to version 1.4.13
  see installed ChangeLog
* Mon Sep 29 2014 mrueckert@suse.de
- updated to version 1.4.12, no changelog
- updated to new packaging scheme and added gem2rpm.yml to fix the
  shebang lines in the bin dir
* Sat Feb 15 2014 kkaempf@suse.com
- add ruby-devel buildrequires
* Thu Feb 13 2014 cfarrell@suse.com
- license update: LGPL-2.1+
  See COPYING
* Mon Jan 20 2014 coolo@suse.com
- updated to version 1.4.11, no changelog
* Sun Oct 20 2013 coolo@suse.com
- updated to version 1.4.10, still no changelog
- regenerate with newest gem2rpm using update-alternatives
* Wed Aug  8 2012 coolo@suse.com
- updated to version 1.4.9, changelog stopped at 1.4.6
* Tue May  3 2011 mrueckert@suse.de
- switch to gem based package
- update to 1.4.6
  - over 300 lines in changelog
  see /usr/lib*/ruby/gems/1.8/gems/racc-1.4.6/ChangeLog
* Tue May  3 2011 ro@suse.de
- update description
* Sat Sep 30 2006 mrueckert@suse.de
- install into vendor_ruby
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 mrueckert@suse.de
- dont build the runtime. ruby 1.8 already has it
* Fri Jan 20 2006 mrueckert@suse.de
- update to version 1.4.5-all
* Mon Oct 17 2005 mrueckert@suse.de
- Initial package of version 1.4.4-all
